# ansible

## Ansible Control Node Setup

Run in repository root to use `ansible-*` commands:

```
nix run -c $SHELL
```

## `misc.yaml`

Server for miscellaneous stuff, e.g. the website.
Expects to have a user `andi` who can `sudo`.
Sets up:

- Some basic packages
- Docker and `docker-compose` (the latter via `pip`)
- Nix multi-user installation

## `misc-docker.yaml`

Deploys Docker configurations from `../docker`:

- Sets up the docker network `caddy-network` for services that are reverse proxied by caddy
- Copies configuration into `/etc/pbri/docker`
- Creates folder `/var/lib/pbri/docker` for storing application files
- Creates users with `42xxx` UIDs for running containers

## `misc-sites.yaml`

Checks out static sites into `/home/paul/Sites` which is mounted into `/srv` in the Caddy container.
